﻿using DataModel;
using A_ManageUsers.Services.Security;

namespace A_ManageUsers
{
    public static class ServiceConfig
    {
        const string UserManagementLocation = "../Services/Security/UserManagement.svc";

        public static UserManagementClient NewUserManagementClient()
        {
            return ServiceLoader.LoadService(UserManagementLocation, (B, E) => new UserManagementClient(B, E));
        }
    }
}
