﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace A_ReferenceCodes
{
    public partial class NewRefCode : FloatableWindow
    {
        public NewRefCode(DM_CodeTypeBase CT)
        {
            InitializeComponent();
            this.CT = CT;
            Description.Focus();
        }

        public DM_CodeTypeBase CT;

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            CT.NewRefCode(Description.Text);
            this.DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        private void LayoutRoot_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                CT.NewRefCode(Description.Text);
                this.DialogResult = true;
            }
        }
    }
}

