﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace DataModel.Commands
{
    public class NoErrorsCondition:instanceCondition
    {
        INotifyDataErrorInfo instance;
        public NoErrorsCondition(INotifyDataErrorInfo Instance)
        {
            instance = Instance;
            instance.ErrorsChanged += new EventHandler<DataErrorsChangedEventArgs>(instance_ErrorsChanged);
        }

        void instance_ErrorsChanged(object sender, DataErrorsChangedEventArgs e)
        {
            OnConditionChanged();
        }
        public override bool value(object parameter)
        {
            return !instance.HasErrors;
        }
    }
}
