﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace U_UserHome
{
    public class NavDest_PersonalDetails : SSCCMembershipContent.NavigateDestination
    {
        public NavDest_PersonalDetails()
        {
            XAP = "P_PersonalDetails.xap";
            Path = "P_PersonalDetails.PersonalDetailsPage";
            PostLoadAction = (P) =>
            {
                ((P_PersonalDetails.PersonalDetailsPage)P).SetMember(MemberID);
            };
        }


        public int MemberID
        {
            get { return (int)GetValue(MemberIDProperty); }
            set { SetValue(MemberIDProperty, value); }
        }

        // Using a DependencyProperty as the backing store for MemberID.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty MemberIDProperty =
            DependencyProperty.Register("MemberID", typeof(int), typeof(NavDest_PersonalDetails), new PropertyMetadata(0));

        
    }
}
