﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using DataModel;
using PrintScreens.Service.Printing;
using System.Windows.Markup;
using System.Threading;

namespace PrintScreens
{
    public partial class RenewalSummaryScreen : FloatableWindow
    {
        public RenewalSummaryScreen()
        {
            InitializeComponent();
            this.SetCulture();

            SRV.LoadFirstPageCompleted += new EventHandler<LoadFirstPageCompletedEventArgs>(SRV_LoadFirstPageCompleted);
            SRV.LoadFirstPageAsync();
        }

        void SRV_LoadFirstPageCompleted(object sender, LoadFirstPageCompletedEventArgs e)
        {
            this.DataContext = e.Result;
            PrinterBTN.GotFirstPage(e.Result);
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }



        PrintingServiceClient SRV = ServiceConfig.NewPrintingClient();

    }
}

