﻿using DataModel;
using PrintScreens.Service.Printing;

namespace PrintScreens
{
    public static class ServiceConfig
    {
        const string PrintingLocation = "../Services/Members/PrintingService.svc";

        public static PrintingServiceClient NewPrintingClient()
        {
            return ServiceLoader.LoadService(PrintingLocation, (B, E) => new PrintingServiceClient(B, E));
        }
    }
}
