﻿using DataModel;
using RefCodes.Services.RC.ReadOnly;

namespace RefCodes
{
    public static class ServiceConfig
    {
        const string RefCodesLocation = "../Services/Members/RefCodesReadOnlyService.svc";

        public static RefCodesReadOnlyServiceClient NewRefCodesService()
        {
            return ServiceLoader.LoadService(RefCodesLocation, (B, E) => new RefCodesReadOnlyServiceClient(B, E));
        }
    }
}
